﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray = DataGen.Range(0, 5, 0.1);

            plot.AddScatter(xValueArray, DataGen.Sin(xValueArray));
            plot.AddScatter(xValueArray, DataGen.Cos(xValueArray));

            plot.AddAnnotation("좌상단",  10,  10);
            plot.AddAnnotation("좌하단",  10, -10);
            plot.AddAnnotation("우상단", -10,  10);
            plot.AddAnnotation("우하단", -10, -10);

            Annotation annotation = plot.AddAnnotation("커스텀 주석", 10, 40);

            annotation.BorderWidth     = 2;
            annotation.BorderColor     = Color.Magenta;
            annotation.Shadow          = false;
            annotation.BackgroundColor = Color.FromArgb(25, Color.Blue);
            annotation.Font.Size       = 24;
            annotation.Font.Color      = Color.Red;
            annotation.Font.Name       = "나눔고딕코딩";

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}